Bug 179446 - ainit: Memory: Failed to release semaphoreb
ainit: Memory: Failed to release semaphoreb
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 09:34 EST by Neal Becker
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 05:47:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-01-31 09:34:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.0 (like Gecko)

Description of problem:
Jan 30 17:33:22 nbecker4 ainit: Memory: Failed to release semaphore 
Jan 30 17:33:22 nbecker4 ainit: Error: No such file or directory 
Jan 30 17:33:22 nbecker4 ainit: Memory: Failed to release SHM segment 
Jan 30 17:33:22 nbecker4 ainit: Error: No such file or directory 
Jan 30 17:33:22 nbecker4 ainit: Memory: Failed to release SHM segment 
Jan 30 17:33:22 nbecker4 ainit: Error: No such file or directory 
Jan 30 17:33:22 nbecker4 ainit: 
Jan 30 17:33:22 nbecker4 ainit: Memory: Failed to release semaphore 
Jan 30 17:33:22 nbecker4 ainit: Error: No such file or directory 
Jan 30 17:33:22 nbecker4 ainit: Memory: Failed to release SHM segment 
Jan 30 17:33:22 nbecker4 ainit: Error: No such file or directory 
Jan 30 17:33:22 nbecker4 ainit: Memory: Failed to release SHM segment 
Jan 30 17:33:22 nbecker4 ainit: Error: No such file or directory 
Jan 30 17:33:22 nbecker4 ainit: 
 

Version-Release number of selected component (if applicable):
2.6.15-1.1881_FC5

How reproducible:
Always

Steps to Reproduce:
1.boot  
2.  
3.  
    

Additional info:

Don't know what significance this has
Comment 1 Dave Jones 2006-02-01 16:00:38 EST
ainit is part of alsa.
Comment 2 Martin Stransky 2006-02-01 16:18:32 EST
Which version of alsa-lib?
Comment 3 Neal Becker 2006-02-01 17:12:55 EST
rpm -q alsa-lib 
alsa-lib-1.0.11-2.rc2 
alsa-lib-1.0.11-2.rc2 
Comment 4 Doncho N. Gunchev 2006-02-02 03:42:12 EST
Hope this is related. When I login with a user, logout and login with another    
the later has no sound. If I login with the first user again the sound works.    
Adding "ipcclean" before "clear" in "~/.bash_logout" fixes the problem. ipcs    
shows this:    
------ Shared Memory Segments --------    
key        shmid      owner      perms      bytes      nattch     status    
...    
0x000004d2 819202     guest     600        384        0    
...    
    
------ Semaphore Arrays --------    
key        semid      owner      perms      nsems    
0x000004d2 327680     guest     600        1    
...    
where guest was the first user that logged in. I had this problem with every   
FC4 kernel/alsa/whatever on my laptop and on my desktop PC. I also have these  
messages in /var/log/messages.  
Comment 5 Martin Stransky 2006-02-03 08:11:04 EST
Could you check the latest alsa-lib-1.0.11-3.rc2?

Note You need to log in before you can comment on or make changes to this bug.